Package org.apache.sysds.runtime.lineage

## Class LineageDedupUtils

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageDedupUtils

-     public class LineageDedupUtils
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEDUP_DELIM` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LineageDedupUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LineageDedupBlock` | `computeDedupBlock​(ProgramBlock fpb, ExecutionContext ec)` |
    `static long` | `computeNumPaths​(ProgramBlock fpb, ExecutionContext ec)` |
    `static LineageDedupBlock` | `initializeDedupBlock​(ProgramBlock fpb, ExecutionContext ec)` |
    `static boolean` | `isValidDedupBlock​(ProgramBlock pb, boolean inLoop)` |
    `static String` | `mergeExplainDedupBlocks​(ExecutionContext ec)` |
    `static long` | `numPathsInPBs​(ArrayList<ProgramBlock> pbs, ExecutionContext ec)` |
    `static void` | `replaceLineage​(ExecutionContext ec)` |
    `static Map<String,​Integer>` | `setDedupMap​(LineageDedupBlock ldb, long takenPath)` |
    `static void` | `setNewDedupPatch​(LineageDedupBlock ldb, ProgramBlock fpb, ExecutionContext ec)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEDUP_DELIM

          public static final String DEDUP_DELIM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LineageDedupUtils

          public LineageDedupUtils()

  - ### Method Detail

    - #### isValidDedupBlock

          public static boolean isValidDedupBlock​(ProgramBlock pb,
                                                  boolean inLoop)

    - #### computeDedupBlock

          public static LineageDedupBlock computeDedupBlock​(ProgramBlock fpb,
                                                            ExecutionContext ec)

    - #### initializeDedupBlock

          public static LineageDedupBlock initializeDedupBlock​(ProgramBlock fpb,
                                                               ExecutionContext ec)

    - #### setNewDedupPatch

          public static void setNewDedupPatch​(LineageDedupBlock ldb,
                                              ProgramBlock fpb,
                                              ExecutionContext ec)

    - #### replaceLineage

          public static void replaceLineage​(ExecutionContext ec)

    - #### setDedupMap

          public static Map<String,​Integer> setDedupMap​(LineageDedupBlock ldb,
                                                              long takenPath)

    - #### mergeExplainDedupBlocks

          public static String mergeExplainDedupBlocks​(ExecutionContext ec)

    - #### computeNumPaths

          public static long computeNumPaths​(ProgramBlock fpb,
                                             ExecutionContext ec)

    - #### numPathsInPBs

          public static long numPathsInPBs​(ArrayList<ProgramBlock> pbs,
                                           ExecutionContext ec)